Get subscription - Subscriptions - Mercado Pago Developers
Get a subscription

Obtains all the information of a subscription from its ID

GET

https://api.mercadopago.com/preapproval/{id}
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
Path
id
string

REQUIRED

Subscription identifier.
Response parameters
id
string
Unique subscription identifier.
version
number
Indicates how many times the subscription was modified.
application_id
number
Unique ID that identifies your application/integration. One of the keys in the pair that make up the credentials that identify an application/integration in your account.
collector_id
number
Unique ID that identifies your user as a seller. This ID matches your User ID in our ecosystem.
Errors

400Error

400

Bad-Request

403Error

403

Forbidden

404Error

404

Not-found

500Error

500

Error

Request
curl -X GET \
    'https://api.mercadopago.com/preapproval/{id}'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-8*********932064-12*********edf6d3c99*********2236c703f*********668' \
    
Response
{
  "id": "2c938084726fca480172750000000000",
  "version": 0,
  "application_id": 1234567812345678,
  "collector_id": 100200300,
  "preapproval_plan_id": "2c938084726fca480172750000000000",
  "reason": "Yoga classes.",
  "external_reference": 23546246234,
  "back_url": "https://www.mercadopago.com.ar",
  "init_point": "https://www.mercadopago.com.ar/subscriptions/checkout?preapproval_id=2c938084726fca480172750000000000",
  "auto_recurring": {
    "frequency": 1,
    "frequency_type": "months",
    "start_date": "2020-06-02T13:07:14.260Z",
    "end_date": "2022-07-20T15:59:52.581Z",
    "currency_id": "ARS",
    "transaction_amount": 10,
    "free_trial": {
      "frequency": 1,
      "frequency_type": "months"
    }
  },
  "first_invoice_offset": 7,
  "payer_id": 123123123,
  "card_id": 123123123,
  "payment_method_id": "account_money",
  "next_payment_date": "2022-01-01T11:12:25.892-04:00",
  "date_created": "2022-01-01T11:12:25.892-04:00",
  "last_modified": "2022-01-01T11:12:25.892-04:00",
  "summarized": {
    "quotas": 6,
    "charged_quantity": 3,
    "charged_amount": 1000,
    "pending_charge_quantity": 1,
    "pending_charge_amount": 200,
    "last_charged_date": "2022-01-01T11:12:25.892-04:00",
    "last_charged_amount": 100,
    "semaphore": "green"
  },
  "status": "pending"
}